# Get

Launch stage: GA

`GET /api/2.0/postgres/{name=synced_tables/*}`

Get a Synced Table.

API scopes: postgres

## Path parameters

- `name` (string, optional)
  The Full resource name of the synced table.
   Format: "synced_tables/{catalog}.{schema}.{table}",
   where (catalog, schema, table) are the entity names in the Unity Catalog.

## Returns

Returns the SyncedTable object.

## Response

```json
{
  "name": "string",
  "uid": "string",
  "spec": {
    "postgres_database": "string",
    "branch": "string",
    "scheduling_policy": "string",
    "source_table_full_name": "string",
    "primary_key_columns": [
      "string"
    ],
    "timeseries_key": "string",
    "existing_pipeline_id": "string",
    "create_database_objects_if_missing": true,
    "new_pipeline_spec": {},
    "type_overrides": [
      {}
    ]
  },
  "status": {
    "message": "string",
    "detailed_state": "string",
    "last_sync": {},
    "ongoing_sync_progress": {},
    "provisioning_phase": "string",
    "last_processed_commit_version": 0,
    "last_sync_time": "string",
    "pipeline_id": "string",
    "unity_catalog_provisioning_state": "string",
    "project": "string"
  },
  "create_time": "string",
  "synced_table_id": "string"
}
```

